package adrspools

// IDs gets array of IDs from AddressPoolsList struct
func (agl AddressPoolsList) IDs() []string {
	res := make([]string, 0, len(agl.Pools))
	for _, c := range agl.Pools {
		res = append(res, c.ID)
	}
	return res
}
